System.ServiceModel 4.0.0.0 System.Enum

Instances of this class are used as parameters in many of the methods of the class and in its derived classes when creating binding elements and certificates.

A list of token inclusion requirements for messages.

- Field
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenInclusionMode

  Token is always included in messages to the initiator and never to the recipient.

- Field
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenInclusionMode

  Token is always included in messages to the recipient and never to the initiator.

- Field
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenInclusionMode

  The token is never included in messages but is referenced. The token must be known to the recipient out of band. The option does not work out of the box. You need to include custom credentials for this to work.

- Field
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenInclusionMode

  The token must be included in only one message sent from the initiator to the recipient. References to the token may use an internal reference mechanism. Subsequent related messages sent between the recipient and the initiator may refer to the token using an external reference mechanism.

  Token is included once.